Subject: Re: [PATCH net-next v5] net: phy: intel-xway: Add RGMII internal delay configuration

From: "Russell King (Oracle)" <[email-masked]>
Date: Mon, 12 Jul 2021 12:22:41 +0100

On Mon, Jul 12, 2021 at 09:24:13AM +0200, Martin Schiller wrote:
> This adds the possibility to configure the RGMII RX/TX clock skew via
> devicetree.
> 
> Simply set phy mode to "rgmii-id", "rgmii-rxid" or "rgmii-txid" and add
> the "rx-internal-delay-ps" or "tx-internal-delay-ps" property to the
> devicetree.
> 
> Furthermore, a warning is now issued if the phy mode is configured to
> "rgmii" and an internal delay is set in the phy (e.g. by pin-strapping),
> as in the dp83867 driver.
> 
> Signed-off-by: Martin Schiller <[email-masked]>

Acked-by: Russell King (Oracle) <[email-masked]>

Thanks.
-- 
RMK's Patch system: https://www.armlinux.org.uk/developer/patches/
FTTP is here! 40Mbps down 10Mbps up. Decent connectivity at last!